io.netty.handler.codec.mqtt

## Class MqttProperties.IntegerProperty

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttProperties.MqttProperty<Integer>
  - - io.netty.handler.codec.mqtt.MqttProperties.IntegerProperty

Enclosing class:
  MqttProperties

    public static final class MqttProperties.IntegerProperty
    extends MqttProperties.MqttProperty<Integer>

### Constructor Summary

Constructors
Constructor and Description
`IntegerProperty(int propertyId, Integer value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttProperties.MqttProperty

`equals, hashCode, propertyId, value`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IntegerProperty

    public IntegerProperty(int propertyId,
                           Integer value)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`